Bug 37500 - Mozilla 0.8.1 failes to launch when using Java plugin 1.3.0_02
Mozilla 0.8.1 failes to launch when using Java plugin 1.3.0_02
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
http://java.sun.com/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 22:51 EDT by Mark Yatras
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 03:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Yatras 2001-04-24 22:51:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3 i686)


When using Mozilla milestone build 0.8.1 and Java plugin 1.3.0_02,  mozilla
doesn't launch fully. It appears as if it is about to launch but then stops
and no windows appear on the screen.

Reproducible: Always
Steps to Reproduce:
1. Install Mozilla 0.8.1
2. Install Java plugin 1.3.0_02
3. Launch mozilla
	

Actual Results:  Mozilla doesn't launch fully. It appears as if it is about
to launch but then stops and no windows appear on the screen.

Expected Results:  Mozilla should launch fully and be able to display Java
applets when visiting web sites with Java applets.

This bug is non-existent in Redhat 7.0. I tried upgrading the kernel to
2.4.3 and this doesn't fix problem. When using one of the latest nightly
builds, the Mozilla window appears briefly and then dissappears. Here's my
hardware specs:

Diamond Viper 770 Ultra (nVidia TNT2 Ultra chipset)
Sound Blaster Live!
AMD Athlon 500
Gigabyte 7IXE motherboard
128MB ram.
Comment 1 Trond Eivind Glomsrxd 2001-04-25 16:48:04 EDT
Java has problems wrt. glibc and variable size statcks - read the release notes.
Comment 2 Christopher Blizzard 2001-04-26 12:17:04 EDT
Except that the 0.8.1 startup script includes setting the variable to fix the
glibc issue.  This means that it should work assuming that the glibc installed
on the system is new enough.
Comment 3 liug 2001-05-07 16:45:16 EDT
I am having the same problem. This bug id is marked as RESOLVED. 
I can't see how it is resolved?
I am running redhat 7.1 (glibc2.2.2-10), with mozilla just downloaded from rawhide:
0.8.1-5
java from sun: j2re-1_3_0_02-linux.rpm

just doesn't work.
Comment 4 Mark Yatras 2001-05-08 03:49:29 EDT
I tried this with Moz 0.9. Mozilla launches and can browse non-java web sites
fine but when access a java page, mozilla stops responding. Bug not resolved.

note: Mozilla 0.9 is BETA software. This could be a mozilla problem, I'm not
sure. I have previously created a bug report for Mozilla's Bugzilla. Bug number
is 77028:
http://bugzilla.mozilla.org/show_bug.cgi?id=77028
Comment 5 Mark Yatras 2001-06-01 05:58:45 EDT
Works now with Java 1.3.1
Comment 6 Christopher Blizzard 2001-06-04 12:15:25 EDT
Where do you get the Java 1.3.1 package, anyway?
Comment 7 Mark Yatras 2001-06-04 20:26:16 EDT
You can get it from here:
http://java.sun.com/j2se/1.3/jre/download-linux.html

Note You need to log in before you can comment on or make changes to this bug.